> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/api-reference/tester-army-api/groups/llms.txt.
> For full documentation content, see https://docs.tester.army/api-reference/tester-army-api/groups/llms-full.txt.

# List test groups

GET https://tester.army/v1/groups

List test groups for a project.

Reference: https://docs.tester.army/api-reference/tester-army-api/groups/list-test-groups

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/groups:
    get:
      operationId: list-test-groups
      summary: List test groups
      description: List test groups for a project.
      tags:
        - subpackage_groups
      parameters:
        - name: projectId
          in: query
          description: Project ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of test groups
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Groups_listTestGroups_Response_200'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestGroupsRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestGroupsRequestUnauthorizedError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestGroupsRequestTooManyRequestsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestGroupsRequestInternalServerError'
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestGroupsRequestGatewayTimeoutError'
servers:
  - url: https://tester.army
components:
  schemas:
    V1GroupsGetResponsesContentApplicationJsonSchemaGroupsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        isDefault:
          type: boolean
        testCount:
          type: integer
        prepTestId:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - id
        - name
        - isDefault
        - testCount
        - prepTestId
      title: V1GroupsGetResponsesContentApplicationJsonSchemaGroupsItems
    Groups_listTestGroups_Response_200:
      type: object
      properties:
        groups:
          type: array
          items:
            $ref: >-
              #/components/schemas/V1GroupsGetResponsesContentApplicationJsonSchemaGroupsItems
      required:
        - groups
      title: Groups_listTestGroups_Response_200
    ListTestGroupsRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestGroupsRequestBadRequestError
    ListTestGroupsRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestGroupsRequestUnauthorizedError
    ListTestGroupsRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestGroupsRequestTooManyRequestsError
    ListTestGroupsRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestGroupsRequestInternalServerError
    ListTestGroupsRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestGroupsRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/groups"

querystring = {"projectId":"projectId"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/groups?projectId=projectId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/groups?projectId=projectId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/groups?projectId=projectId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tester.army/v1/groups?projectId=projectId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tester.army/v1/groups?projectId=projectId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/groups?projectId=projectId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/groups?projectId=projectId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```